is_binary.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/detail/check.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_IS_BINARY(x) MSGPACK_PP_IS_BINARY_I(x)
#define | MSGPACK_PP_IS_BINARY_I(x) MSGPACK_PP_CHECK(x, MSGPACK_PP_IS_BINARY_CHECK)
#define | MSGPACK_PP_IS_BINARY_CHECK(a, b) 1
#define | MSGPACK_PP_CHECK_RESULT_MSGPACK_PP_IS_BINARY_CHECK 0, MSGPACK_PP_NIL

## Macro Definition Documentation

## MSGPACK_PP_CHECK_RESULT_MSGPACK_PP_IS_BINARY_CHECK

#define MSGPACK_PP_CHECK_RESULT_MSGPACK_PP_IS_BINARY_CHECK 0, MSGPACK_PP_NIL

## MSGPACK_PP_IS_BINARY

#define MSGPACK_PP_IS_BINARY | ( |  | x | ) | MSGPACK_PP_IS_BINARY_I(x)

## MSGPACK_PP_IS_BINARY_CHECK

#define MSGPACK_PP_IS_BINARY_CHECK | ( |  | a,
|  |  | b
| ) |  | 1

## MSGPACK_PP_IS_BINARY_I

#define MSGPACK_PP_IS_BINARY_I | ( |  | x | ) | MSGPACK_PP_CHECK(x, MSGPACK_PP_IS_BINARY_CHECK)